## org.codehaus.groovy.ast.expr
Class ConstantExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.ConstantExpression

Direct Known Subclasses:
  AnnotationConstantExpression

    public class ConstantExpression

extends Expression

Represents a constant expression such as null, true, false

Version:
  $Revision: 16444 $
Author:
  James Strachan

Field Summary
`static ConstantExpression` `EMPTY_EXPRESSION`
`static ConstantExpression` `EMPTY_STRING`
`static ConstantExpression` `FALSE`
`static ConstantExpression` `NULL`
`static ConstantExpression` `TRUE`
`static ConstantExpression` `VOID`

Constructor Summary
`ConstantExpression(Object value)`

Method Summary
`String` `getConstantName()`
`String` `getText()`
`Object` `getValue()`
`boolean` `isEmptyStringExpression()`
`boolean` `isFalseExpression()`
`boolean` `isNullExpression()`
`boolean` `isTrueExpression()`
`void` `setConstantName(String constantName)`
`String` `toString()`
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.expr.Expression
`getType, setType, transformExpressions, transformExpressions`

Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode
`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NULL

    public static final ConstantExpression NULL

### TRUE

    public static final ConstantExpression TRUE

### FALSE

    public static final ConstantExpression FALSE

### EMPTY_STRING

    public static final ConstantExpression EMPTY_STRING

### VOID

    public static final ConstantExpression VOID

### EMPTY_EXPRESSION

    public static final ConstantExpression EMPTY_EXPRESSION

Constructor Detail

### ConstantExpression

    public ConstantExpression(Object value)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

  Description copied from class: `Expression`
  Return a copy of the expression calling the transformer on any nested expressions

  Specified by:
    `transformExpression` in class `Expression`

### getValue

    public Object getValue()

  Returns:
    the value of this constant expression

### getText

    public String getText()

  Overrides:
    `getText` in class `ASTNode`

### getConstantName

    public String getConstantName()

### setConstantName

    public void setConstantName(String constantName)

### isNullExpression

    public boolean isNullExpression()

### isTrueExpression

    public boolean isTrueExpression()

### isFalseExpression

    public boolean isFalseExpression()

### isEmptyStringExpression

    public boolean isEmptyStringExpression()

Copyright © 2003-2009 The Codehaus. All rights reserved.